Subject: Re: [PATCH v2 net-next 0/4] vmxnet3: upgrade to version 9

From: Jakub Kicinski <[email-masked]>
Date: Sat, 1 Jun 2024 16:05:34 -0700

On Fri, 31 May 2024 12:30:45 -0700 Ronak Doshi wrote:
> vmxnet3 emulation has recently added timestamping feature which allows the
> hypervisor (ESXi) to calculate latency from guest virtual NIC driver to all
> the way up to the physical NIC. This patch series extends vmxnet3 driver
> to leverage these new feature.
> 
> Compatibility is maintained using existing vmxnet3 versioning mechanism as
> follows:
> - new features added to vmxnet3 emulation are associated with new vmxnet3
>    version viz. vmxnet3 version 9.
> - emulation advertises all the versions it supports to the driver.
> - during initialization, vmxnet3 driver picks the highest version number
> supported by both the emulation and the driver and configures emulation
> to run at that version.

Please review:
https://lore.kernel.org/all/[email-masked]/

It may be worth reading:
https://docs.kernel.org/next/maintainer/feature-and-driver-maintainers.html